class NccuComVnccuProgramsController < ApplicationController
  
  include ApplicationHelper

  helper MemberHelper

  include SimpleCaptcha::ControllerHelpers

  def index
  	programs = ComVnccuProgram.where(:is_hidden=>false)
  	moduleapp = ModuleApp.find_by(:key => "nccu_com_vnccu_program")
  	program_categorys = Category.where(:module_app_id=>moduleapp.id).asc(:created_at)

    {
      "programs" => programs,
      "program_categorys" => program_categorys
    } 
  end

  def show_data

    params = OrbitHelper.params

    program = ComVnccuProgram.find(params[:no])

    {
      "program" => program
    }
  end

  def vod

  	programs = ComVnccuProgram.where(:open_song=>true,:is_hidden=>false).asc(:week)
  	song_list = ComVnccuProgramSongList.new

    {
      "programs" => programs,
      "song_list" => song_list
    } 

  end

  def create

    @song_list = ComVnccuProgramSongList.new(song_list_params)

    if simple_captcha_valid? && @song_list.save
      redirect_to "#{ OrbitHelper.url_to_show("")}?method=send_ok"
    else
      redirect_to "#{ OrbitHelper.url_to_show("")}", :notice => t('recaptcha.errors.verification_failed')
    end

  end

  def send_ok
  end

  def song_list_params
    params.require(:com_vnccu_program_song_list).permit!
  end


end